# OpalPluginTranscoderFactory< TranscoderClass >::Worker Class Reference

`#include <opalpluginmgr.h>`

Collaboration diagram for OpalPluginTranscoderFactory< TranscoderClass >::Worker:

[legend]

## Public Member Functions

| Worker (const OpalTranscoderKey &key, const PluginCodec_Definition *codec, bool enc)

## Protected Member Functions

virtual OpalTranscoder * | Create (const OpalTranscoderKey &) const

## Protected Attributes

const PluginCodec_Definition * | codecDefn
bool | isEncoder

### template<class TranscoderClass>
class OpalPluginTranscoderFactory< TranscoderClass >::Worker

## Constructor & Destructor Documentation

template<class TranscoderClass>

OpalPluginTranscoderFactory< TranscoderClass >::Worker::Worker | ( | const OpalTranscoderKey & | key,
|  | const PluginCodec_Definition * | codec,
|  | bool | enc |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class TranscoderClass>

virtual OpalTranscoder* OpalPluginTranscoderFactory< TranscoderClass >::Worker::Create | ( | const OpalTranscoderKey & |  | ) | const`[inline, protected, virtual]`

## Field Documentation

template<class TranscoderClass>

const PluginCodec_Definition* OpalPluginTranscoderFactory< TranscoderClass >::Worker::codecDefn `[protected]`

template<class TranscoderClass>

bool OpalPluginTranscoderFactory< TranscoderClass >::Worker::isEncoder `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h